PROBLEM WITH HyperScript tools 1.10 with Informix 7 
Author Message
 PROBLEM WITH HyperScript tools 1.10 with Informix 7

Hi,

we installed HyperScript tools release 1.10 (the last one) on AIX 4.1.5
that have to work with Informix 7.

The problem is very critical for us since we didn't suspect those
problems.
I get the error 409 when trying to run this simple script:
        connection type 1
        connect to "mydb"

The environment is set as follows:
        INFORMIXDIR=/usr/informix
        INFORMIXSERVER=tlpri21_shm
        TERMCAP, PATH, HSTOOLS
We don't have any other environment variable related to Informix.

The error is related to the SQLEXEC environment variable and is not set
in our environment, BUT Informix 7 don't need it.

Anybody can help me, I think that the problem is very simple, but ....
Also the Installation guide don't say anything about this, and the
installation was according to the guide.

Thanks for all responses.

--



Wed, 18 Jun 1902 08:00:00 GMT
 PROBLEM WITH HyperScript tools 1.10 with Informix 7



Quote:
>Hi,

>we installed HyperScript tools release 1.10 (the last one) on AIX 4.1.5
>that have to work with Informix 7.

>The problem is very critical for us since we didn't suspect those
>problems.
>I get the error 409 when trying to run this simple script:
>       connection type 1
>       connect to "mydb"

>The environment is set as follows:
>       INFORMIXDIR=/usr/informix
>       INFORMIXSERVER=tlpri21_shm
>       TERMCAP, PATH, HSTOOLS
>We don't have any other environment variable related to Informix.

>The error is related to the SQLEXEC environment variable and is not set
>in our environment, BUT Informix 7 don't need it.

>Anybody can help me, I think that the problem is very simple, but ....
>Also the Installation guide don't say anything about this, and the
>installation was according to the guide.

>Thanks for all responses.

  Check what the value on ONCONFIG should be...
  Also set INFORMIXSQLHOSTS=$INFORMIXDIR/etc/sqlhosts

--
David Williams



Wed, 18 Jun 1902 08:00:00 GMT
 PROBLEM WITH HyperScript tools 1.10 with Informix 7

Hi,

Your problem is probably that Hyperscript Tools is not up to date
with the version 7 engine. You need something called "the relay
module" to makea connection. I think you need to set SQLEXEC=sqlrm
                               -----
Unfortunately, Hyperscript Tools was pawned off by Informix to
a company named IISC in the UK - but they do support the tool.

Hope this helps,
Bill

Quote:
}
} Hi,
}
} we installed HyperScript tools release 1.10 (the last one) on AIX 4.1.5
} that have to work with Informix 7.
}
} The problem is very critical for us since we didn't suspect those
} problems.
} I get the error 409 when trying to run this simple script:
}       connection type 1
}       connect to "mydb"
}
} The environment is set as follows:
}       INFORMIXDIR=/usr/informix
}       INFORMIXSERVER=tlpri21_shm
}       TERMCAP, PATH, HSTOOLS
} We don't have any other environment variable related to Informix.
}
} The error is related to the SQLEXEC environment variable and is not set
} in our environment, BUT Informix 7 don't need it.
}
} Anybody can help me, I think that the problem is very simple, but ....
} Also the Installation guide don't say anything about this, and the
} installation was according to the guide.
}
} Thanks for all responses.
}
}
} --

}

--
Bill Ennis                           Voice: 312-474-7516
SSA                                  Fax:   312-474-7460



Wed, 18 Jun 1902 08:00:00 GMT
 PROBLEM WITH HyperScript tools 1.10 with Informix 7

Quote:



> >Hi,

> >we installed HyperScript tools release 1.10 (the last one) on AIX 4.1.5
> >that have to work with Informix 7.

> >The problem is very critical for us since we didn't suspect those
> >problems.
> >I get the error 409 when trying to run this simple script:
> >       connection type 1
> >       connect to "mydb"

> >The environment is set as follows:
> >       INFORMIXDIR=/usr/informix
> >       INFORMIXSERVER=tlpri21_shm
> >       TERMCAP, PATH, HSTOOLS
> >We don't have any other environment variable related to Informix.

> >The error is related to the SQLEXEC environment variable and is not set
> >in our environment, BUT Informix 7 don't need it.

> >Anybody can help me, I think that the problem is very simple, but ....
> >Also the Installation guide don't say anything about this, and the
> >installation was according to the guide.

> >Thanks for all responses.

>   Check what the value on ONCONFIG should be...
>   Also set INFORMIXSQLHOSTS=$INFORMIXDIR/etc/sqlhosts

> --
> David Williams

I find the problem.
I need to set the SQLEXEC=$INFORMIXDIR/lib/sqlrm environment variable.

This variable is not necessary for Informix 7 , but.....needed for
HyperScript tools !!!!!

Thanks.
--



Wed, 18 Jun 1902 08:00:00 GMT
 
 [ 4 post ] 

 Relevant Pages 

1. Problem with Informix 4GL 1.10 in HP UX

2. Informix Conference attendees - Free HyperScript Tools?

3. Hyperscript Tools + Informix Online 5.x

4. Pathnames in Wingz 1.1 HyperScript

5. HyperScript Tools Problem

6. Informix Server Adminstrator 1.10 or 1.30

7. Informix 4GL Version 1.10 bcheck fails

8. Informix ISQL 1.10 and Linux

9. Porting application from Informix 3.30 to 1.10 ?

10. HyperScript Tools

11. HyperScript Tools Flame

12. Hyperscript tools


 
Powered by phpBB® Forum Software